CM

Activity log for bug #775219

Date Who What changed Old value New value Message
2011-05-01 23:31:37 rejon bug added bug
2011-05-01 23:40:20 rejon summary guides page needs some text tweaks guides / documentation page needs some text tweaks
2011-05-01 23:41:30 rejon description This http://api.creationmix.com/guides page is to plug into the being developed /developers page The ideas is that it just is documentation of the API and has tests of it. The "CreatinMix API" should be spelled "CreationMix API". First off, there is a menu on the top of the page: * API Documentation * Create an App * Feeds * Community All of those links go to the same page, the current one... This page currently has: What is CreationMix? [ some text ] CreationMix API [ some text ] * "API Documentation", link to a long list of the documentation * "API Tests" link to tests of each api call...if can be on the same documentation page, then great. Authorize Your App * need to be logged in for this to work on the main page. ** Does it make sense for this to be on the main CM site then? I think it might. I need opinion here. * one logged in users can register multiple accounts * need a listing of registered apps here ** next to each, need to de-authorize the app with a button ### Now, back to the top menu. If there pages that can be linked to from API Documentation, then link it. For "Create an App" should change to "Your Apps" and/or "Authorize Your App" Should be the same on the main guides page and in the menu, then I have no idea what should be in Feeds. I think should rename that page to Examples, and give 3 examples of using the API. Community should be renamed "Developer Community" and link to http://creationmix.com/developer The order of the menu items in the menu should be: * Guides (main page) * API Documentation * API Examples * API Tests * Your Apps * Developer Community Ok? This needs to be done, like yesterday. Also, documentation how these pages can be updated should go up on the http://api.creationmix.com/private with username/passwords for the admin there on the main page or an accounts page. This http://api.creationmix.com/guides page is to plug into the being developed /developers page The ideas is that it just is documentation of the API and has tests of it. The "CreatinMix API" should be spelled "CreationMix API". First off, there is a menu on the top of the page: * API Documentation * Create an App * Feeds * Community All of those links go to the same page, the current one... This page needs to be named Documentation so url should be http://api.creationmix.com/documentation This page currently has: What is CreationMix? [ some text ] CreationMix API [ some text ] * list out all the main API sections either on this page until too long or make separate pages for each section * "API Tests" link to tests of each api call...if can be on the same documentation page, then great. Authorize Your App * need to be logged in for this to work on the main page. ** Does it make sense for this to be on the main CM site then? I think it might. I need opinion here. * one logged in users can register multiple accounts * need a listing of registered apps here ** next to each, need to de-authorize the app with a button ### Now, back to the top menu. If there pages that can be linked to from API Documentation, then link it. For "Create an App" should change to "Your Apps" and/or "Authorize Your App" Should be the same on the main guides page and in the menu, then I have no idea what should be in Feeds. I think should rename that page to Examples, and give 3 examples of using the API. Community should be renamed "Developer Community" and link to http://creationmix.com/developer The order of the menu items in the menu should be: * API Documentation (main page) * API Examples * API Tests * Your Apps * Developer Community Ok? This needs to be done, like yesterday. Also, documentation how these pages can be updated should go up on the http://api.creationmix.com/private with username/passwords for the admin there on the main page or an accounts page.
2011-05-02 19:09:03 Bassel Safadi cm: status Confirmed Triaged
2011-05-19 19:15:05 Bassel Safadi cm: status Triaged Fix Released
2011-05-19 19:19:32 Bassel Safadi cm: status Fix Released In Progress
2011-05-20 01:10:52 rejon cm: status In Progress Fix Released
2011-05-20 01:10:53 rejon cm: status Fix Released Triaged
2011-05-20 01:12:32 rejon cm: status Triaged Fix Released